#!/usr/bin/perl
#
# Extract data for plotting from two AS traffic scenario debug output
#

open(EPIDEMIC, "> twoAStraffic_epidemic.txt") 
    or die "Couldn't open output file twoAStraffic_epidemic_growth.txt: $!\n";

while (<>) {
    if (/Macroscopic model update/) {
	my ($t, undef, $i) = /t: ((\d|\.)+)\s.*?i=((\d|\.)+)/;
	print EPIDEMIC "$t  $i\n";
    }
}
